Marko Herkaliuk

    Marko Herkaliuk

    11 months ago
    Hello, at 17:22, Oct 7 2021 (UTC-5) we have
    requests.exceptions.HTTPError: 404 Client Error: Not Found for url: <https://api.prefect.io/>
    when flow try create other flow. Was it a common problem or a problem on our side?
    Error getting flow run info
    Traceback (most recent call last):
      File "/usr/local/lib/python3.8/site-packages/prefect/engine/cloud/flow_runner.py", line 188, in interrupt_if_cancelling
        flow_run_info = self.client.get_flow_run_info(flow_run_id)
      File "/usr/local/lib/python3.8/site-packages/prefect/client/client.py", line 1562, in get_flow_run_info
        result = self.graphql(query).data.flow_run_by_pk  # type: ignore
      File "/usr/local/lib/python3.8/site-packages/prefect/client/client.py", line 548, in graphql
        result = <http://self.post|self.post>(
      File "/usr/local/lib/python3.8/site-packages/prefect/client/client.py", line 451, in post
        response = self._request(
      File "/usr/local/lib/python3.8/site-packages/prefect/client/client.py", line 737, in _request
        response = self._send_request(
      File "/usr/local/lib/python3.8/site-packages/prefect/client/client.py", line 647, in _send_request
        response.raise_for_status()
      File "/usr/local/lib/python3.8/site-packages/requests/models.py", line 943, in raise_for_status
        raise HTTPError(http_error_msg, response=self)
    requests.exceptions.HTTPError: 404 Client Error: Not Found for url: <https://api.prefect.io/>
    Error getting flow run info
    Traceback (most recent call last):
      File "/usr/local/lib/python3.8/site-packages/urllib3/connectionpool.py", line 699, in urlopen
        httplib_response = self._make_request(
      File "/usr/local/lib/python3.8/site-packages/urllib3/connectionpool.py", line 382, in _make_request
        self._validate_conn(conn)
      File "/usr/local/lib/python3.8/site-packages/urllib3/connectionpool.py", line 1010, in _validate_conn
        conn.connect()
      File "/usr/local/lib/python3.8/site-packages/urllib3/connection.py", line 411, in connect
        self.sock = ssl_wrap_socket(
      File "/usr/local/lib/python3.8/site-packages/urllib3/util/ssl_.py", line 449, in ssl_wrap_socket
        ssl_sock = _ssl_wrap_socket_impl(
      File "/usr/local/lib/python3.8/site-packages/urllib3/util/ssl_.py", line 493, in _ssl_wrap_socket_impl
        return ssl_context.wrap_socket(sock, server_hostname=server_hostname)
      File "/usr/local/lib/python3.8/ssl.py", line 500, in wrap_socket
        return self.sslsocket_class._create(
      File "/usr/local/lib/python3.8/ssl.py", line 1040, in _create
        self.do_handshake()
      File "/usr/local/lib/python3.8/ssl.py", line 1309, in do_handshake
        self._sslobj.do_handshake()
    ssl.SSLEOFError: EOF occurred in violation of protocol (_ssl.c:1131)
    
    During handling of the above exception, another exception occurred:
    
    Traceback (most recent call last):
      File "/usr/local/lib/python3.8/site-packages/requests/adapters.py", line 439, in send
        resp = conn.urlopen(
      File "/usr/local/lib/python3.8/site-packages/urllib3/connectionpool.py", line 783, in urlopen
        return self.urlopen(
      File "/usr/local/lib/python3.8/site-packages/urllib3/connectionpool.py", line 783, in urlopen
        return self.urlopen(
      File "/usr/local/lib/python3.8/site-packages/urllib3/connectionpool.py", line 783, in urlopen
        return self.urlopen(
      [Previous line repeated 3 more times]
      File "/usr/local/lib/python3.8/site-packages/urllib3/connectionpool.py", line 755, in urlopen
        retries = retries.increment(
      File "/usr/local/lib/python3.8/site-packages/urllib3/util/retry.py", line 574, in increment
        raise MaxRetryError(_pool, url, error or ResponseError(cause))
    urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host='<http://api.prefect.io|api.prefect.io>', port=443): Max retries exceeded with url: / (Caused by SSLError(SSLEOFError(8, 'EOF occurred in violation of protocol (_ssl.c:1131)')))
    
    During handling of the above exception, another exception occurred:
    
    Traceback (most recent call last):
      File "/usr/local/lib/python3.8/site-packages/prefect/engine/cloud/flow_runner.py", line 188, in interrupt_if_cancelling
        flow_run_info = self.client.get_flow_run_info(flow_run_id)
      File "/usr/local/lib/python3.8/site-packages/prefect/client/client.py", line 1562, in get_flow_run_info
        result = self.graphql(query).data.flow_run_by_pk  # type: ignore
      File "/usr/local/lib/python3.8/site-packages/prefect/client/client.py", line 548, in graphql
        result = <http://self.post|self.post>(
      File "/usr/local/lib/python3.8/site-packages/prefect/client/client.py", line 451, in post
        response = self._request(
      File "/usr/local/lib/python3.8/site-packages/prefect/client/client.py", line 737, in _request
        response = self._send_request(
      File "/usr/local/lib/python3.8/site-packages/prefect/client/client.py", line 602, in _send_request
        response = <http://session.post|session.post>(
      File "/usr/local/lib/python3.8/site-packages/requests/sessions.py", line 590, in post
        return self.request('POST', url, data=data, json=json, **kwargs)
      File "/usr/local/lib/python3.8/site-packages/requests/sessions.py", line 542, in request
        resp = self.send(prep, **send_kwargs)
      File "/usr/local/lib/python3.8/site-packages/requests/sessions.py", line 655, in send
        r = adapter.send(request, **kwargs)
      File "/usr/local/lib/python3.8/site-packages/requests/adapters.py", line 514, in send
        raise SSLError(e, request=request)
    requests.exceptions.SSLError: HTTPSConnectionPool(host='<http://api.prefect.io|api.prefect.io>', port=443): Max retries exceeded with url: / (Caused by SSLError(SSLEOFError(8, 'EOF occurred in violation of protocol (_ssl.c:1131)')))
    Interesting fact - this flow run other flows via map. its fail, and after that restart again and continue create flows, but with wrong parameters, specifically with last parameter 5 times.
    Kevin Kho

    Kevin Kho

    11 months ago
    Can you ping
    <https://api.prefect.io/>
    . I don’t believe this is a common problem. Looks like an SSL cert thing?
    We had a slight outage on our side where a certificate expired (API was down for a couple of sessions), but I am not sure the time aligns with yours. If it is working again, it might be due to that
    Actually, checked with the team and this indeed looks related to the outage that we had